﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using System.Drawing;

namespace _145490
{
    class MyDraw:IUIElementDrawFilter
    {
        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            Size imageSize = ((ImageUIElement)drawParams.Element).Image.Size;
            Size compSize = drawParams.Element.Rect.Size;
            Rectangle r = new Rectangle(drawParams.Element.Rect.Location, imageSize);
            int xOffset = (compSize.Width - imageSize.Width) / 2;
            int yOffset = (compSize.Height - imageSize.Height) / 2;
            r.Offset(xOffset, yOffset);
            Image img = ((ImageUIElement)drawParams.Element).Image;
            drawParams.Graphics.DrawImage(img, r);
            return true;
            throw new NotImplementedException();
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is ImageUIElement && drawParams.Element.GetContext() is Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarItem)
                return DrawPhase.BeforeDrawImage;
            return DrawPhase.None;
        }
    }
}
